Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DataDisplayConverterFactory.HDFDisplayConverter

Object
org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter
hdf.view.TableView.DataDisplayConverterFactory.HDFDisplayConverter

All Implemented Interfaces:
  `org.eclipse.nebula.widgets.nattable.data.convert.IDisplayConverter`

Enclosing class:
  DataDisplayConverterFactory

public static class DataDisplayConverterFactory.HDFDisplayConverter extends org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `cellColIdx`
  `protected int`
  `cellRowIdx`
  `protected boolean`
  `isEnumConverted`
  `protected org.slf4j.Logger`
  `log`
  `protected NumberFormat`
  `numberFormat`
  `protected boolean`
  `showAsBin`
  `protected boolean`
  `showAsHex`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HDFDisplayConverter​(Datatype dtype)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `canonicalToDisplayValue​(Object value)`
  `Object`
  `displayToCanonicalValue​(Object value)`
  `void`
  `setConvertEnum​(boolean convert)`
  `void`
  `setNumberFormat​(NumberFormat format)`
  `void`
  `setShowAsBin​(boolean asBin)`
  `void`
  `setShowAsHex​(boolean asHex)`

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter

  `canonicalToDisplayValue, displayToCanonicalValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### log

    protected org.slf4j.Logger log

  - ### numberFormat

    protected NumberFormat numberFormat

  - ### showAsHex

    protected boolean showAsHex

  - ### showAsBin

    protected boolean showAsBin

  - ### isEnumConverted

    protected boolean isEnumConverted

  - ### cellRowIdx

    protected int cellRowIdx

  - ### cellColIdx

    protected int cellColIdx

- ## Constructor Details

  - ### HDFDisplayConverter

    HDFDisplayConverter​(Datatype dtype)

- ## Method Details

  - ### canonicalToDisplayValue

    public Object canonicalToDisplayValue​(Object value)
    Specified by:
      `canonicalToDisplayValue` in interface `org.eclipse.nebula.widgets.nattable.data.convert.IDisplayConverter`
    Specified by:
      `canonicalToDisplayValue` in class `org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter`

  - ### displayToCanonicalValue

    public Object displayToCanonicalValue​(Object value)
    Specified by:
      `displayToCanonicalValue` in interface `org.eclipse.nebula.widgets.nattable.data.convert.IDisplayConverter`
    Specified by:
      `displayToCanonicalValue` in class `org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter`

  - ### setNumberFormat

    public void setNumberFormat​(NumberFormat format)

  - ### setShowAsHex

    public void setShowAsHex​(boolean asHex)

  - ### setShowAsBin

    public void setShowAsBin​(boolean asBin)

  - ### setConvertEnum

    public void setConvertEnum​(boolean convert)